%define version 0.5.1
%define prefix  %{_prefix}
%define name gtkzip
%define release 8mdk

Summary: program for maintaining your Zip drive disks
Summary(fr): Programme pour gerer les disquettes ZIP.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Archiving/Other
BuildRequires: XFree86-devel imlib-devel libgtop-devel
Source0: http://www.smallpig.net/gtkzip/%{name}-%{version}.tar.bz2 
Source1: gtkzip16.xpm.bz2
Source2: gtkzip32.xpm.bz2
Source3: gtkzip48.xpm.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://home.netvigator.com/~sallymak/gtkzip/

%description
GtkZip is a program for maintaining your Iomega Zip drive disks under Linux.  
This program is based on ziptool, a command line program, and is written in c using the GTK widget set.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS -D_IN_LIBGTOP -DHAVE_GETTEXT" CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix}/X11R6
%make

%install
mkdir -p $RPM_BUILD_ROOT%{_prefix}/X11R6/bin
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/{mini,large}
cp ./src/gtkzip $RPM_BUILD_ROOT%{_prefix}/X11R6/bin/gtkzip

install -m 755 -d $RPM_BUILD_ROOT/%{_datadir}/icons

bzcat %{SOURCE1} > $RPM_BUILD_ROOT/usr/share/icons/mini/gtkzip.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/usr/share/icons/gtkzip.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/usr/share/icons/large/gtkzip.xpm 


(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/gtkzip <<EOF
?package(gtkzip):\
command="/usr/X11R6/bin/gtkzip"\
icon="gtkzip.xpm"\
title="GtkZip"\
longtitle="for maintaining your Zip drive disks"\
needs="x11"\
section="Applications/Archiving/Other"
EOF
)

%post
%{update_menus}

%postun
%{clean_menus}


%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_prefix}/X11R6/bin/*
%{_menudir}/*
%{_miconsdir}/*.xpm
%{_iconsdir}/*.xpm
%{_liconsdir}/*.xpm  

%changelog
* Fri Oct 06 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-8mdk
- add all sizes of icons

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.5.1-7mdk
- automatically added BuildRequires

* Thu Jul 27 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.5.1-6mdk
- macrosfications
- rebuild for the BM

* Wed Apr 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-5mdk
- merge menu file with spec

* Thu Apr 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-4mdk
- fix menu entry
- add clean section

* Thu Mar 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-3mdk
- clean specfile
- add menu entry

* Wed Nov 10 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- 5.1
- Added icon 
- Compilation fix

* Tue May 11 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Make Mandrake compliant again.

* Fri Apr 30 1999 Gal Duval <gael@linux-mandrake.com>
- lipstick

* Mon Apr 19 1999 Alexandre Dussart	<adussart@mandrakesoft.com>
-Updated to 0.5

* Fri Apr 16 1999 Alexandre Dussart <adussart@mandrakesoft.com>
-Mandrake-compliant.
-Install binary in /usr/X11R6/bin.
